# AUTOGENERATED! DO NOT EDIT! File to edit: ../notebooks/30_comparison-basiccolor.ipynb.

# %% auto 0
__all__ = ['read_basiccolor_data']

# %% ../notebooks/30_comparison-basiccolor.ipynb 17
import pandas as pd 
import numpy as np
import skimage as sk
import matplotlib.pyplot as plt

# %% ../notebooks/30_comparison-basiccolor.ipynb 18
def read_basiccolor_data(basiccolor_excel):
    '''Ad hoc code to parse from BasICColor excel report (based on html output) and
    return color values as dataframe. '''
    
    # select full rectangle with values 
    basicc_df = pd.read_excel(basiccolor_excel, skiprows=18, header=0, nrows=141, usecols='D:U')
    basicc_df = basicc_df.drop(index=0)
    basicc_df.set_index('Name', inplace=True)
    basicc_df.index.name = None
    
    # select standard columns and drop some delta columns 
    basicc_sel_df = basicc_df.loc[:, ['R %', 'G %', 'B %', 'L*', 'a*', 'b*', 'L*.1', 'a*.1', 'b*.1', 'ΔE*00 (SL=1)', 'Δab*']] 
    
    # rename and create hierarchical column names 
    basicc_sel_df.columns = ['bcol_R', 'bcol_G', 'bcol_B', 'ref_L*', 'ref_a*', 'ref_b*', 'bcol_L*', 
                             'bcol_a*', 'bcol_b*', 'bcol_ΔE*00_(SL=1)', 'bcol_Δab*']
    
    return basicc_sel_df 
